#
# spec file for package bwnfsd (Version 2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -nkitb autoconf automake
# usedforbuild    -nkitb aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         bwnfsd
Copyright:    Public Domain
Group:        Networking/Daemons
Requires:     net-tools netcfg
Autoreqprov:  on
Version:      2.3
Release:      103
Summary:      RPC daemon used in conjunction with BWNFS
Source:       bwnfsd.tar.gz
Source1:      bwnfsd
Source2:      rc.config.bwnfsd
Patch:        bwnfsd.dif
BuildRoot:    /var/tmp/%{name}-build

%description
BWNFSD is an RPC daemon used in conjunction with BWNFS ( a client NFS
for DOS based PCs). BWNFSD provides Authentication, Print Spooling,
DOS 3.1 Locking, DOS 3.1 Sharing, GID name mapping, UID name mapping services
for BWNFS and associated applications on the PC. BWNFSD is being used also
by Macintosh NFS clients.

Authors:
--------
    Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>

SuSE series: n

%prep
%setup -n %{name}
%patch

%build
make linux

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin/
install -s -m 755 bwnfsd $RPM_BUILD_ROOT/usr/sbin/rpc.bwnfsd
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/rc.config.bwnfsd $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/
ln -sf ../../etc/init.d/bwnfsd $RPM_BUILD_ROOT/usr/sbin/rcbwnfsd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.bwnfsd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.bwnfsd"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/bwnfsd

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/rc.config.bwnfsd

%changelog -n bwnfsd
* Tue Apr 24 2001 - cihlar@suse.cz
- added init script
* Thu Feb 22 2001 - cihlar@suse.cz
- package separated from nkita
